clear;
home;
IM=imread('_im.bmp');
I=rgb2gray(IM);
subplot(2,2,1);
F=fft2(I);
imshow(I,[]);
subplot(2,2,2);
imshow(F,[]);
F2=fftshift(F);
subplot(2,2,3);
imshow(F2,[]);
F3=log(abs(F2+1));
subplot(2,2,4);
imshow(F3,[]);

disp('presione una tecla...');pause;
IM=imread('_im_lenna_64.jpg');
I=rgb2gray(IM);
subplot(2,2,1);
F=fft2(I);
imshow(I,[]);
subplot(2,2,2);
imshow(F,[]);
F2=fftshift(F);
subplot(2,2,3);
imshow(F2,[]);
F3=log(abs(F2+1));
subplot(2,2,4);
imshow(F3,[]);






